package com.sf._05_接口练习.demo3;

public class Test {
    public static void main(String[] args) {
        userSkill(new Mege("艾莎"));
        userSkill(new Warrior("狂战士"));
    }
    public static void userSkill(Role role){
        // role 可以能mege  可以是wari
        if(role instanceof Mege){
            // 是一个方法
            // 转成一个法师
            Mege mege = (Mege) role;
            mege.levelUp();
            mege.attack();
            mege.caseMagic();
        }else if(role instanceof Warrior){
            Warrior warrior = (Warrior) role;
            warrior.attack();
            warrior.strongAttack();
        }
    }
}
